package com.ho.user.mapper;


import com.ho.common.tools.entity.SysRole;
import com.ho.user.vo.req.RolePageReqVO;
import com.ho.user.vo.req.RoleUpdateReqVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SysRoleMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(SysRole record);

    int insertSelective(SysRole record);

    SysRole selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(SysRole record);

    int updateByPrimaryKey(SysRole record);

    List<SysRole> selectAll(RolePageReqVO vo);

    List<SysRole> getRoleInfoByIds(List<Integer> ids);

    //查询是否有其他这个名称的数据
    List<SysRole> selectOthers(RoleUpdateReqVO vo);

    //按条件查询
    List<SysRole> selectListByCondition(RolePageReqVO vo);

    //根据角色编号查对象
    SysRole findByCode(String roleCode);


}